LINUX.ORG.RU

Не собирается поганый GLUT что версия 3.7 что 3.6


0

0

пишэт

gcc -O2 -fno-strength-reduce -I../../include -I/usr/X11R6/include -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DNO_MESSAGE_CATALOG -DFUNCPROTO=15 -DNARROWPROTO -c -o origami.o origami.c
rm -f origami
gcc -o origami -O2 -fno-strength-reduce -L/usr/X11R6/lib origami.o ../../lib/glut/libglut.a -lGLU -lGL -lXmu -lXt -lSM -lICE -lXext -lX11 -lXi -lXext -lX11 -lm
origami.o: In function `display':
origami.o(.text+0x665): undefined reference to `glPolygonOffsetEXT'
origami.o(.text+0x6bc): undefined reference to `glPolygonOffsetEXT'
collect2: ld returned 1 exit status
make[2]: *** [origami] Ошибка 1
make[2]: Выход из каталог `/root/glut-3.6/progs/examples'
make[1]: *** [all] Ошибка 2
make[1]: Выход из каталог `/root/glut-3.6/progs'
make: *** [all] Ошибка 2


вот такое - если убрать оригами - запнётся ещё на чём-то итд итп - в общем не собирается

Re: Не собирается поганый GLUT что версия 3.7 что 3.6

Ээээ... А RTFM делал? Там, насколько я помню, надо из директории linux makefile и (по-моему) ещё что-то скопировать туда, куда в RTFM указано. Без этого и не соберётся.

DmVo ()

Re: Не собирается поганый GLUT что версия 3.7 что 3.6

Glut davit!!!!

Ja kak-to muchalsja s nim. Tam nado bylo v nekotoryx filax vruchnuju pravit put k headeram, a to tam hernja kakaja-to napisana.

Kstati, ja ego taki sobral, dazhe demki zapustil, odnako programma dlja kotoroj byli prodelany eti telodvizhenija vse ravno ne stala s glut rabotat, ta zhe fignja byla s glut-paketom shedshim s systemoj (Slack). Ne rabotaet i vse.

A potomu:

Glut davit!!!!!!!!

russman ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.